Sayonara Player Forum

Full Version: compiling sayonara-0.9.3 on Fedora 26 fails
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
compiling sayonara-0.9.3 on Fedora 26 fails with the following error message:

Code:
[ 39%] Automatic MOC and UIC for target say_gui_mtp
cd /home/martin/rpmbuild/BUILD/sayonara-player/src/GUI/MTP && /usr/bin/cmake -E cmake_autogen /home/martin/rpmbuild/BUILD/sayonara-player/src/GUI/MTP/CMakeFiles/say_gui_mtp_autogen.dir RelWithDebInfo
Generating MOC source EWIEGA46WW/moc_GUI_MTP.cpp
Generating MOC source EWIEGA46WW/moc_MTPTreeView.cpp
Generating MOC compilation mocs_compilation.cpp
AutoUic: Error: "/home/martin/rpmbuild/BUILD/sayonara-player/src/GUI/MTP/GUI_MTP.cpp"
Could not find "GUI/MTP/GUI_MTP.ui"

make[2]: *** [src/GUI/MTP/CMakeFiles/say_gui_mtp_autogen.dir/build.make:63: src/GUI/MTP/CMakeFiles/say_gui_mtp_autogen] Error 1
make[2]: Leaving directory '/home/martin/rpmbuild/BUILD/sayonara-player'
make[1]: *** [CMakeFiles/Makefile2:1115: src/GUI/MTP/CMakeFiles/say_gui_mtp_autogen.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
make[2]: Entering directory '/home/martin/rpmbuild/BUILD/sayonara-player'

gcc-Version 7.2.1 20170915
qt5-qtbase 7.1
Hi Martin. Thank you. Ok, will fix this. MTP will be dropped in the upcoming version. It wasn't reliable enough and always in a conflict with the automounter  Confused
(10-17-2017, 10:25 AM)Lucio Carreras Wrote: [ -> ]Hi Martin. Thank you. Ok, will fix this. MTP will be dropped in the upcoming version. It wasn't reliable enough and always in a conflict with the automounter  Confused

Thanks for your feedback.
When will the next version appear.
The next major version is already tested and only missing a little feature. I will fix this fedora issue today and push an update
Well, I pushed a new version containing fixes appearing with CMake 3.9.1.

Thank you for taking your time!
thanks for the update.
Which branch should i use:
git clone https://git.sayonara-player.com/sayonara.git --branch 0.9.4-git1-20171017 sayonara-player
0.9.3-git3-20171018. Version number has not increased, since there were no big code changes.
(10-18-2017, 08:04 AM)Lucio Carreras Wrote: [ -> ]0.9.3-git3-20171018. Version number has not increased, since there were no big code changes.

works now, great. Smile
Thanks
Martin